OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKStdSchema
StdDrivers

# StdDrivers_DocumentStorageDriver Class Reference

storage driver of a Part document

`#include <StdDrivers_DocumentStorageDriver.hxx>`

Inheritance diagram for StdDrivers_DocumentStorageDriver:

[legend]

## Public Member Functions
Standard_EXPORT | StdDrivers_DocumentStorageDriver ()
virtual Standard_EXPORT void | Make (const Handle(CDM_Document)&aDocument, PCDM_SequenceOfDocument &Documents)
| By default, puts in the Sequence the document returns by the previous Make method. .
virtual Standard_EXPORT Handle_MDF_ASDriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StdDrivers_DocumentStorageDriver::StdDrivers_DocumentStorageDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_MDF_ASDriverTable StdDrivers_DocumentStorageDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) | `[virtual]`

| Reimplemented from MDocStd_DocumentStorageDriver.

Standard_EXPORT const StdDrivers_DocumentStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDocStd_DocumentStorageDriver.

virtual Standard_EXPORT void StdDrivers_DocumentStorageDriver::Make | ( | const Handle(CDM_Document)& | aDocument,
|  | PCDM_SequenceOfDocument & | Documents
| ) | `[virtual]`

| Reimplemented from PCDM_StorageDriver.

The documentation for this class was generated from the following file:

- StdDrivers_DocumentStorageDriver.hxx